Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 25 Jun 2022 05:26:32 +0000

Hi Aljoori Alghamdi,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hi, I have been patient enough with you regarding processing my refund. I just want to know why is it taking so damn long?? Aramex transferred the money into your account as per the policy between you two. But here you are still telling me to allow you some time to resolve this. What exactly do you need time for?? I don’t get it!! Make me understand!! I wish Aramex had just transferred that money into my account so I don’t have to deal with you. At least Aramex was accountable in all this mess and they tried so many times to reach out to me and explain the process. But with you, I have to keep following you on daily basis whereas you are failing to provide a mere no feedback or whatsoever. Just give me my refund. I want nothing to do with liars, unprofessional, and  inconsiderate Landmark Group. I am so done at this point!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4528130